purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Sugar.LetPattern

Description

This module implements the desugaring pass which replaces patterns in let-in expressions with appropriate case expressions.

Synopsis

- desugarLetPatternModule :: Module -> Module

# Documentation

desugarLetPatternModule :: Module -> Module #

Replace every `BoundValueDeclaration` in `Let` expressions with `Case` expressions.